Configures smoosic library or application. It is a union of UI, rendering and application configuration parameters

param mode

  score mode `'library' | 'application' | 'translate'` Library mode starts the view but not the UI. application mode starts the UI and expects UI parameters. translation mode is the translation editor, for creating translations for dialog/menu components

param language

  startup language

param initialScore?

  the library score JSON, if you are loading from a JSON string, or a SmoScore object

param remoteScore?

  path to a remote score, if loading from an URL

param scoreDomContainer

  the parent of the svg container (required)

param leftControls

  the location of the vertical button control, applies if mode is 'application'

param topControls

  the location of the horizontal button control, applies if mode is 'application'

param libraryUrl

  loader URL for Smo libraries, applies if application mode

param demonPollTime

  how often we poll the score to see if it's changed

param idleRedrawTime

  how often the entire score re-renders

### Hierarchy

- SmoConfiguration

### Implements

- SmoRenderConfiguration
- SmoUiConfiguration

## Index

### Constructors

- constructor

## Constructors

### constructor

- new SmoConfiguration(params: Partial<SmoConfigurationParams>): SmoConfiguration

- - Defined in src/application/configuration.ts:100

  #### Parameters

  - ##### params: Partial<SmoConfigurationParams>

  #### Returns SmoConfiguration

Generated using TypeDoc